Subject: Re: [Bitcoin-development] DNS seeds unstable

From: Alex Kotenko <[email-masked]>
Date: Wed, 21 May 2014 12:10:52 +0100

Misunderstanding. Both seeds are available on port 53 via BIND forwarding.
Just also each DNS seed is available separately on it's own port.

Best regards,
Alex Kotenko

2014-05-21 12:03 GMT+01:00 Andreas Schildbach <[email-masked]>:

> Great, thanks for this contribution!
>
> Do you plan to have your seeds reachable on port 53 eventually?
> Currently bitcoinj cannot deal with nonstandard ports I think.
>
>
> On 05/21/2014 11:23 AM, Alex Kotenko wrote:
> > okay, I've set it up with bind forwarding requests to two dnsseeds
> > running on separate ports. Though I see a problem with testnet DNS seed
> > itself. It runs, but somehow it only returns one IP address. Exactly
> > same DNS seeder looking for mainnet nodes is working fine.
> >
> > You can reach seeds through
> > mainnet seed:
> > dig @node.alexykot.me <http://node.alexykot.me> bitcoin-seed.alexykot.me
> > <http://bitcoin-seed.alexykot.me> A
> > or directly
> > dig -p 8353 @node.alexykot.me <http://node.alexykot.me>
> > bitcoin-seed.alexykot.me <http://bitcoin-seed.alexykot.me> A
> >
> > testnet seed
> > dig @node.alexykot.me <http://node.alexykot.me> testnet-seed.alexykot.me
> > <http://testnet-seed.alexykot.me> A
> > or directly
> > dig -p 18353 @node.alexykot.me <http://node.alexykot.me>
> > testnet-seed.alexykot.me <http://testnet-seed.alexykot.me> A
> >
> > So what can be the problem with testnet DNS seeder?
> >
> >
> > Best regards,
> > Alex Kotenko
> >
> >
> > 2014-05-20 1:50 GMT+01:00 Robert McKay <[email-masked]
> > <mailto:[email-masked]>>:
> >
> >     On Tue, 20 May 2014 01:44:29 +0100, Robert McKay wrote:
> >     > On Mon, 19 May 2014 19:49:52 -0400, Jeff Garzik wrote:
> >     >> On Mon, May 19, 2014 at 4:36 PM, Robert McKay <[email-masked]
> >     <mailto:[email-masked]>>
> >     >> wrote:
> >     >>> It should be possible to configure bind as a DNS forwarder.. this
> >     >>> can
> >     >>> be done in a zone context.. then you can forward the different
> >     >>> zones
> >     >>> to
> >     >>> different dnsseed daemons running on different non-public IPs or
> >     >>> two
> >     >>> different ports on the same IP (or on one single non-public IP
> >     >>> since
> >     >>> there's really no reason to expose the dnsseed directly daemon at
> >     >>> all).
> >     >>
> >     >> Quite the opposite.  dnsseed data rotates through a lot of
> addresses
> >     >> if available.  Using the bind/zone-xfer system would result in
> fewer
> >     >> total addresses going through to the clients, thanks to the
> addition
> >     >> of caching levels that the bind/zone-xfer system brings.
> >     >>
> >     >> That said, if the choice is between no-service and bind, bind it
> is
> >     >> ;p
> >     >
> >     > Setting it up as a zone forwarder causes each request to go through
> >     > to
> >     > the dnsseed backend for each request.
> >
> >     This stackoverflow describes a similar situation;
> >
> >     http://stackoverflow.com/questions/15338232/how-to-forward-a-subzone
> >
> >     you can additionally specify the port to forward too;
> >
> >     http://www.zytrax.com/books/dns/ch7/queries.html#forwarders
> >
> >     it should be possible to forward to different ports on 127.0.0.1 for
> >     each dnsseed instance.
> >
> >     Rob
> >
> >
> ------------------------------------------------------------------------------
> >     "Accelerate Dev Cycles with Automated Cross-Browser Testing - For
> FREE
> >     Instantly run your Selenium tests across 300+ browser/OS combos.
> >     Get unparalleled scalability from the best Selenium testing platform
> >     available
> >     Simple to use. Nothing to install. Get started now for free."
> >     http://p.sf.net/sfu/SauceLabs
> >     _______________________________________________
> >     Bitcoin-development mailing list
> >     [email-masked]
> >     <mailto:[email-masked]>
> >     https://lists.sourceforge.net/lists/listinfo/bitcoin-development
> >
> >
> >
> >
> >
> ------------------------------------------------------------------------------
> > "Accelerate Dev Cycles with Automated Cross-Browser Testing - For FREE
> > Instantly run your Selenium tests across 300+ browser/OS combos.
> > Get unparalleled scalability from the best Selenium testing platform
> available
> > Simple to use. Nothing to install. Get started now for free."
> > http://p.sf.net/sfu/SauceLabs
> >
> >
> >
> > _______________________________________________
> > Bitcoin-development mailing list
> > [email-masked]
> > https://lists.sourceforge.net/lists/listinfo/bitcoin-development
> >
>
>
>
>
> ------------------------------------------------------------------------------
> "Accelerate Dev Cycles with Automated Cross-Browser Testing - For FREE
> Instantly run your Selenium tests across 300+ browser/OS combos.
> Get unparalleled scalability from the best Selenium testing platform
> available
> Simple to use. Nothing to install. Get started now for free."
> http://p.sf.net/sfu/SauceLabs
> _______________________________________________
> Bitcoin-development mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>